package com.eactive.eai.batch.rule.dirInfo;

import java.io.Serializable;

public class BatchJobInfoVO implements Serializable
{
    private static final long serialVersionUID = 1L;
    private String batchCode;
    private String msgDstCode;
    private String msgDstName;
    private String sndrcvFileName;
    private String jobTranDstcd;
    private String sendUseYN;
    private String recvUseYN;
    private long   fileHeaderLogSize;
    private long   fileRecSize;
    private long   fileTrailerLogSize;
    private int    priority = 999;
    private String uapplCd   = "";
    private String[] chrgIDs = {""}; 
    private String recvNotiUseYn   = "";
    private String intfID   = "";
    private String sysCd    = "";
	public String getBatchCode() {
		return batchCode;
	}
	public void setBatchCode(String batchCode) {
		this.batchCode = batchCode;
	}
	public String getMsgDstCode() {
		return msgDstCode;
	}
	public void setMsgDstCode(String msgDstCode) {
		this.msgDstCode = msgDstCode;
	}
	public String getMsgDstName() {
		return msgDstName;
	}
	public void setMsgDstName(String msgDstName) {
		this.msgDstName = msgDstName;
	}
	public String getSndrcvFileName() {
		return sndrcvFileName;
	}
	public void setSndrcvFileName(String sndrcvFileName) {
		this.sndrcvFileName = sndrcvFileName;
	}
	public String getJobTranDstcd() {
		return jobTranDstcd;
	}
	public void setJobTranDstcd(String jobTranDstcd) {
		this.jobTranDstcd = jobTranDstcd;
	}
	public String getSendUseYN() {
		return sendUseYN;
	}
	public void setSendUseYN(String sendUseYN) {
		this.sendUseYN = sendUseYN;
	}
	public String getRecvUseYN() {
		return recvUseYN;
	}
	public void setRecvUseYN(String recvUseYN) {
		this.recvUseYN = recvUseYN;
	}
	public long getFileHeaderLogSize() {
		return fileHeaderLogSize;
	}
	public void setFileHeaderLogSize(long fileHeaderLogSize) {
		this.fileHeaderLogSize = fileHeaderLogSize;
	}
	public long getFileRecSize() {
		return fileRecSize;
	}
	public void setFileRecSize(long fileRecSize) {
		this.fileRecSize = fileRecSize;
	}
	public long getFileTrailerLogSize() {
		return fileTrailerLogSize;
	}
	public void setFileTrailerLogSize(long fileTrailerLogSize) {
		this.fileTrailerLogSize = fileTrailerLogSize;
	}
	public int getPriority() {
		return priority;
	}
	public void setPriority(int priority) {
		this.priority = priority;
	}
	public String getUapplCd() {
		return uapplCd;
	}
	public void setUapplCd(String uapplCd) {
		this.uapplCd = uapplCd;
	}
	public String[] getChrgIDs() {
		return chrgIDs;
	}
	public void setChrgIDs(String[] chrgIDs) {
		this.chrgIDs = chrgIDs;
	}
	public String getRecvNotiUseYn() {
		return recvNotiUseYn;
	}
	public void setRecvNotiUseYn(String recvNotiUseYn) {
		this.recvNotiUseYn = recvNotiUseYn;
	}
	public String getIntfID() {
		return intfID;
	}
	public void setIntfID(String intfID) {
		this.intfID = intfID;
	}
	public String getSysCd() {
		return sysCd;
	}
	public void setSysCd(String sysCd) {
		this.sysCd = sysCd;
	}

}
